Jump to content

Recommended Posts

Posted

I have a drawing using Autocad 2008 with a large circle containing 3 small circles, none intersecting. How do I measure the shortest distance from the edge of the large circle to the edge of the smaller circle. I also want to measure the distance between the edge of the smaller circles. Any method I tried gave me the center of the circle. Cadkey has options like center, end, tan-tan, tan-perp, perp-tan, etc to include all possibilities.

Posted

You can use osnaps with the distance command as well, such as 'nea 'tan 'perp etc.

If that didn't work for some reason, for shortest distance you could use cen-cen, then subtract the radii.

Posted
I have a drawing using Autocad 2008 with a large circle containing 3 small circles, none intersecting. How do I measure the shortest distance from the edge of the large circle to the edge of the smaller circle. I also want to measure the distance between the edge of the smaller circles. Any method I tried gave me the center of the circle. Cadkey has options like center, end, tan-tan, tan-perp, perp-tan, etc to include all possibilities.

 

Can this help?

circle.jpg

Posted

Heres an ugly way to do it: :lol:

 

(defun c:whee (/ cir circles next pt pt2 x)
 (princ "\nSelect circles meng: ")
 (setq circles (ssget '((0 . "circle"))))
 (foreach c (cdr (setq
           circles (vl-sort
                 (mapcar
               '(lambda (x)
                  (list (cdr (assoc 10 (entget x)))
                    (cdr (assoc 40 (entget x)))
                    x
                  )
                )
               (vl-remove-if 'listp (mapcar 'cadr (ssnamex circles)))
                 )
                 (function (lambda (d1 d2) (> (cadr d1) (cadr d2))))
               )
         )
        )
   (setq pt (vlax-curve-getclosestpointto (caddar circles) (car c)))
   (grdraw (setq pt2 (polar (car c) (angle (car c) pt) (cadr c))) pt 1)
   (command "_.dimaligned" pt pt2 pt)
 )
 (setq cir (append (cdr circles) (list (cadr circles))))
 (while (and (setq next (cadr cir)) (setq x (car cir)))
   (setq pt (vlax-curve-getclosestpointto (last next) (car x)))
   (grdraw (setq pt2 (polar (car x) (angle (car x) pt) (cadr x))) pt 1)
   (command "_.dimaligned" pt pt2 pt)
   (setq cir (cdr cir))
 )
 (princ)
)

Posted

Yes that does look very ugly. Does it really work?

Posted
Yes that does look very ugly. Does it really work?

 

You're supposed to tell me if it works :P

Posted

Nice work Geobuilder! The video is excellent too.

 

I just can't read the Russian menu pop-up! :wink:

Posted

I would just draw lines between the centers of the circles and trimmed using the circle as the cutting plane. The line your left with is the shortest distance between them.

Posted

Thanks Tankman

I hope Russian pictogrammes coincide with the English wink.gif

  • 2 weeks later...
Posted
Thanks Tankman

I hope Russian pictogrammes coincide with the English wink.gif

 

Geobuilder, How did you load the video? and what,s its format?

Posted

Nice tutorial Geobuilder, I have never seen acad in Russian.

Rick

Posted
Geobuilder, How did you load the video? and what,s its format?

  1. Record the screen
  2. Edited and save your video in GIF format
  3. Loaded your animation on Image Hosting site
  4. When you will write the message use the button insertimage.gif and in the appeared window enter url your picture from Image Hosting site

 

For 1 and 2 points I use Camtasia Studio , but there is also a great number of other programs, even the free

On 3 point it is better to use the checked up large site where it is possible to be registered and supervise all loaded images, differently through some time you can receiveunli787nk.gif in the old messages.

Posted
Nice tutorial Geobuilder, I have never seen acad in Russian.

Rick

All for the sake of you :D

Posted

thanks, i'll try that on my free time.If all replies are made just like that... :D

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...